Bug 7079 - cliconnect gets realm wrong with trusted domains
cliconnect gets realm wrong with trusted domains
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.5
x64 Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-29 14:00 UTC by Jason Montleon
Modified: 2010-02-08 09:03 UTC (History)
0 users

See Also:


Attachments
Patch for master and also 3.5.0 (4.85 KB, patch)
2010-01-29 17:57 UTC, Jeremy Allison
no flags Details
git-am format patch for 3.5.0. (5.69 KB, patch)
2010-02-01 17:23 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Montleon 2010-01-29 14:00:00 UTC
if you have a trust between an MIT kerberos realm and an Active Directory Domain, say EXAMPLE.COM and AD.EXAMPLE.COM it will always guess that the server principle is server$@EXAMPLE.COM and never try server$@AD.EXAMPLE.COM

so, if do a kinit for user@EXAMPLE.COM then try to do a smbclient -k //server.ad.example.com/whatever it will end up trying the principal server$@EXAMPLE.COM instead of server$@AD.EXAMPLE.COM
Comment 1 Jeremy Allison 2010-01-29 17:57:57 UTC
Created attachment 5250 [details]
Patch for master and also 3.5.0

Jason, please test this and let me know if it fixes the problem.
Jeremy.
Comment 2 Jason Montleon 2010-01-30 08:54:03 UTC
I was able to apply these changes to 3.4.5 and make a successful connection.
Comment 3 Derrell Lipman 2010-01-31 14:03:47 UTC
component -> File Services
reassigned to JRA
Comment 4 Jeremy Allison 2010-02-01 17:23:15 UTC
Created attachment 5251 [details]
git-am format patch for 3.5.0.

Fix for 3.5.0. Tested by bug submitter.
Comment 5 Stefan Metzmacher 2010-02-08 05:22:26 UTC
Comment on attachment 5251 [details]
git-am format patch for 3.5.0.

Looks good
Comment 6 Karolin Seeger 2010-02-08 09:03:23 UTC
Pushed to v3-5-test. Will be included in 3.5.0.
Closing out bug report.

Thanks!